Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.server
Class RequestProcessorFactoryFactory.RequestSpecificProcessorFactoryFactory

    java.lang.Object
      org.apache.xmlrpc.server.RequestProcessorFactoryFactory.RequestSpecificProcessorFactoryFactory

All Implemented Interfaces:
  RequestProcessorFactoryFactory

Enclosing interface:
  RequestProcessorFactoryFactory

    public static class RequestProcessorFactoryFactory.RequestSpecificProcessorFactoryFactory

extends java.lang.Object
implements RequestProcessorFactoryFactory

This is the default implementation of `RequestProcessorFactoryFactory`. A new instance is created and initialized for any request. The instance may be configured by overwriting `getRequestProcessor(Class, XmlRpcRequest)`.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.xmlrpc.server.RequestProcessorFactoryFactory
`RequestProcessorFactoryFactory.RequestProcessorFactory, RequestProcessorFactoryFactory.RequestSpecificProcessorFactoryFactory, RequestProcessorFactoryFactory.StatelessProcessorFactoryFactory`

Constructor Summary
`RequestProcessorFactoryFactory.RequestSpecificProcessorFactoryFactory()`

Method Summary
`protected java.lang.Object` | `getRequestProcessor(java.lang.Class pClass, XmlRpcRequest pRequest)` Subclasses may override this method for request specific configuration.
`RequestProcessorFactoryFactory.RequestProcessorFactory` | `getRequestProcessorFactory(java.lang.Class pClass)` This method is invoked at startup.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestProcessorFactoryFactory.RequestSpecificProcessorFactoryFactory

    public RequestProcessorFactoryFactory.RequestSpecificProcessorFactoryFactory()

Method Detail

### getRequestProcessor

    protected java.lang.Object getRequestProcessor(java.lang.Class pClass,
                                                   XmlRpcRequest pRequest)
                                            throws XmlRpcException

  Subclasses may override this method for request specific configuration. A typical subclass will look like this:

         public class MyRequestProcessorFactoryFactory
                 extends RequestProcessorFactoryFactory {
             protected Object getRequestProcessor(Class pClass, XmlRpcRequest pRequest) {
                 Object result = super.getRequestProcessor(pClass, pRequest);
                 // Configure the object here
                 ...
                 return result;
             }
         }

  Parameters:
    `pRequest` - The request object.
  Throws:
    `XmlRpcException`

### getRequestProcessorFactory

    public RequestProcessorFactoryFactory.RequestProcessorFactory getRequestProcessorFactory(java.lang.Class pClass)
                                                                                      throws XmlRpcException

  Description copied from interface: `RequestProcessorFactoryFactory`
  This method is invoked at startup. It creates a factory for instances of `pClass`.

  Specified by:
    `getRequestProcessorFactory` in interface `RequestProcessorFactoryFactory`
  Throws:
    `XmlRpcException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.